Activity log for bug #300062

Date Who What changed Old value New value Message
2008-11-19 19:55:36 nothing1212 bug added bug
2008-11-19 19:56:48 nothing1212 description C:\temp\bt>bzr ignore RE:*.cpp bzr: ERROR: sre_constants.error: nothing to repeat Traceback (most recent call last): File "bzrlib\commands.pyo", line 893, in run_bzr_catch_errors File "bzrlib\commands.pyo", line 839, in run_bzr File "bzrlib\commands.pyo", line 539, in run_argv_aliases File "bzrlib\builtins.pyo", line 2084, in run File "bzrlib\globbing.pyo", line 213, in match File "bzrlib\lazy_regex.pyo", line 69, in __getattr__ File "bzrlib\lazy_regex.pyo", line 55, in _compile_and_collapse File "bzrlib\lazy_regex.pyo", line 61, in _real_re_compile File "re.pyo", line 188, in compile File "re.pyo", line 241, in _compile error: nothing to repeat bzr 1.9 on python 2.5.2 (win32) arguments: ['bzr', 'ignore', 'RE:*.cpp'] encoding: 'cp1252', fsenc: 'mbcs', lang: None plugins: bzrtools C:\Program Files\Bazaar\plugins\bzrtools [1.9.1] launchpad C:\Program Files\Bazaar\plugins\launchpad [unknown] qbzr C:\Program Files\Bazaar\plugins\qbzr [0.9.5] svn C:\Program Files\Bazaar\plugins\svn [0.4.14] *** Bazaar has encountered an internal error. Please report a bug at https://bugs.launchpad.net/bzr/+filebug including this traceback, and a description of what you were doing when the error occurred. C:\temp\bt>bzr init Standalone tree (format: pack-0.92) Location: branch root: . C:\temp\bt>bzr ignore RE:*.cpp bzr: ERROR: sre_constants.error: nothing to repeat Traceback (most recent call last): File "bzrlib\commands.pyo", line 893, in run_bzr_catch_errors File "bzrlib\commands.pyo", line 839, in run_bzr File "bzrlib\commands.pyo", line 539, in run_argv_aliases File "bzrlib\builtins.pyo", line 2084, in run File "bzrlib\globbing.pyo", line 213, in match File "bzrlib\lazy_regex.pyo", line 69, in __getattr__ File "bzrlib\lazy_regex.pyo", line 55, in _compile_and_collapse File "bzrlib\lazy_regex.pyo", line 61, in _real_re_compile File "re.pyo", line 188, in compile File "re.pyo", line 241, in _compile error: nothing to repeat bzr 1.9 on python 2.5.2 (win32) arguments: ['bzr', 'ignore', 'RE:*.cpp'] encoding: 'cp1252', fsenc: 'mbcs', lang: None plugins: bzrtools C:\Program Files\Bazaar\plugins\bzrtools [1.9.1] launchpad C:\Program Files\Bazaar\plugins\launchpad [unknown] qbzr C:\Program Files\Bazaar\plugins\qbzr [0.9.5] svn C:\Program Files\Bazaar\plugins\svn [0.4.14] *** Bazaar has encountered an internal error. Please report a bug at https://bugs.launchpad.net/bzr/+filebug including this traceback, and a description of what you were doing when the error occurred.
2008-11-19 20:45:39 John A Meinel bzr: status New Triaged
2008-11-19 20:45:39 John A Meinel bzr: importance Undecided Low
2008-11-19 20:45:39 John A Meinel bzr: statusexplanation *.cpp is an invalid regex, I would guess you actually just wanted a glob, which would be "*.cpp". If you wanted a regex, then you would need "RE:.*\.cpp" That said, bzr could be a bit better about giving you a single line "Invalid regex: '*.cpp'" or something of the sort.
2010-03-19 01:00:44 Martin Pool bzr: status Triaged Confirmed
2010-03-19 02:09:36 Martin Pool summary "bzr ignore RE:*.cpp" just crashed in an empty repo. give a better message for an invalid ignore regexp
2010-03-19 02:09:41 Martin Pool tags easy ignore traceback
2010-05-30 03:13:51 Parth Malwankar bzr: importance Low Medium
2010-05-30 03:14:25 Parth Malwankar bzr: assignee Parth Malwankar (parthm)
2010-05-30 03:14:30 Parth Malwankar bzr: status Confirmed In Progress
2010-05-31 05:57:20 Parth Malwankar branch linked lp:~parthm/bzr/300062-better-handling-for-invalid-ignore-pattern
2010-06-04 13:42:23 Parth Malwankar branch linked lp:~parthm/bzr/300062-invalid-pattern-warnings
2010-06-30 13:56:51 Parth Malwankar branch linked lp:~parthm/bzr/300062-bad-pattern-error-part-1
2010-07-08 13:34:17 Parth Malwankar branch linked lp:~parthm/bzr/300062-bad-pattern-error-part-2
2010-07-15 04:27:33 Parth Malwankar branch linked lp:~parthm/bzr/300062-2.2-bad-pattern-error-part-2
2010-07-24 09:10:23 Parth Malwankar bzr: status In Progress Fix Released
2010-07-24 09:10:43 Parth Malwankar bzr: milestone 2.2.0